com.pixelmed.apps

## Class DoseReporterWithLegacyOCRAndAutoSendToRegistry.WatchDatabaseAndSendToRegistry

- java.lang.Object
- - com.pixelmed.apps.DoseReporterWithLegacyOCRAndAutoSendToRegistry.WatchDatabaseAndSendToRegistry

All Implemented Interfaces:
  java.lang.Runnable

Enclosing class:
  DoseReporterWithLegacyOCRAndAutoSendToRegistry

    protected class DoseReporterWithLegacyOCRAndAutoSendToRegistry.WatchDatabaseAndSendToRegistry
    extends java.lang.Object
    implements java.lang.Runnable

### Constructor Summary

Constructors
`protected` `DoseReporterWithLegacyOCRAndAutoSendToRegistry.WatchDatabaseAndSendToRegistry()`

### Method Summary

Methods
`void` `run()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DoseReporterWithLegacyOCRAndAutoSendToRegistry.WatchDatabaseAndSendToRegistry

    protected DoseReporterWithLegacyOCRAndAutoSendToRegistry.WatchDatabaseAndSendToRegistry()

### Method Detail

#### run

    public void run()

Specified by:
  `run` in interface `java.lang.Runnable`